import type { Payload } from './generated-types';
import { PhoneMessageSender } from '../utils';
import { ExtId } from '@segment/actions-shared';
export declare class SmsMessageSender extends PhoneMessageSender<Payload> {
    supportedTemplateTypes: string[];
    getBody(phone: string): Promise<URLSearchParams>;
    getChannelType(): string;
    isSupportedExternalId(externalId: ExtId<Payload>): boolean;
}
